import { Component, OnInit } from '@angular/core';
import { Router, ActivatedRoute } from '@angular/router';
import { FormBuilder } from '@angular/forms';
import { Certificado } from 'app/models/certificado';
import { CertificadoService } from 'app/services/certificado.service';
import { ContratoService } from 'app/services/contrato.service';
import { Contrato } from 'app/models/contrato';
import { Item } from 'app/models/item';
import { ItemService } from 'app/services/item.service';

@Component({
  selector: 'app-certificado-add',
  templateUrl: './certificado-add.component.html',
  styleUrls: ['./certificado-add.component.scss']
})
export class CertificadoAddComponent implements OnInit {
  id: number;
  contrato: Contrato;
  items: Item[];
  certificado: Certificado = new Certificado();
  constructor(
    private route: ActivatedRoute,
    private router: Router,
    private formBuilder: FormBuilder,
    private certificadoService: CertificadoService,
    private is: ItemService,
    private cs: ContratoService,
  ) { }

  ngOnInit() {
    this.getItem();
    this.id = this.route.snapshot.params['id'];
    this.findContrato();

  }

  findContrato() {
    this.cs.getContrato(this.id)
      .subscribe(data => {
        this.contrato = data;
        console.log(this.contrato);
      }, error => console.log(error));
  }

  newCertificado(): void {
    this.certificado = new Certificado();
  }

  saldo() {
    this.certificado.id_contrato = this.contrato.id;
    this.certificado.cer_saldo_sub_to = this.certificado.cer_valor_sub_to;
    this.certificado.cer_saldo_iva = this.certificado.cer_valor_iva;
  }
  
  save() {
    this.saldo();

    this.certificadoService.createCertificado(this.certificado)
      .subscribe();
    this.certificado = new Certificado();

    this.router.navigate(['list-certificado']);
  }

  getItem() {
    this.is.getItemList().subscribe((data: Item[]) => {
      this.items = data;
    }, (error) => {
      alert('A ocurrido un error al traer los items presupuestarios');
    });
  }
}
