import { Component, OnInit } from '@angular/core';
import { ActivatedRoute, Router } from '@angular/router';
import { FormBuilder } from '@angular/forms';
import { CertificadoService } from 'app/services/certificado.service';
import { Certificado } from 'app/models/certificado';
import { ItemService } from 'app/services/item.service';
import { Item } from 'app/models/item';

@Component({
  selector: 'app-certificado-edit',
  templateUrl: './certificado-edit.component.html',
  styleUrls: ['./certificado-edit.component.scss']
})
export class CertificadoEditComponent implements OnInit {

  items: Item[];
  id: number;
  certificado: Certificado;
  constructor(private route: ActivatedRoute,
    private router: Router,
    private formBuilder: FormBuilder,
    private cs: CertificadoService,
    private is:ItemService,) { }

  ngOnInit() {
    this.certificado = new Certificado();
    this.id = this.route.snapshot.params['id'];
    this.cs.getCertificado(this.id)
    .subscribe(data => {
      console.log(data)
      this.certificado = data;
    }, error => console.log(error));
  }

  update(){
    this.cs.updateCertificado(this.id, this.certificado)
      .subscribe(data => console.log(data), error => console.log(error));
    this.certificado = new Certificado();
    this.router.navigate(['list-certificado']);
  }

  getItem() {
    this.is.getItemList().subscribe((data: Item[]) => {
      this.items = data;
    }, (error) => {
      alert('A ocurrido un error al traer los items presupuestarios');
    });
  }
}
