import { Component, OnInit } from '@angular/core';
import { ActivatedRoute, Router } from '@angular/router';
import { FormBuilder } from '@angular/forms';
import { Item } from 'app/models/item';
import { ItemService } from 'app/services/item.service';

@Component({
  selector: 'app-item-edit',
  templateUrl: './item-edit.component.html',
  styleUrls: ['./item-edit.component.scss']
})
export class ItemEditComponent implements OnInit {
id:number;
item:Item;
  constructor(
    private route: ActivatedRoute,
    private router:Router,
    private formBuilder: FormBuilder,
    private is: ItemService
  ) { }

  ngOnInit() {
    this.item = new Item();
    this.id = this.route.snapshot.params['id'];
    this.is.getItem(this.id)
    .subscribe(data=> {
      console.log(data);
      this.item = data;
    }, error => console.log(error));
  }
  update(){
    this.is.updateItem(this.id, this.item)
    .subscribe(data => console.log(data), error => console.log(error));
    this.item = new Item();
    this.router.navigate(['list-item']);
  }
}
