import { Component, OnInit } from '@angular/core';
import { Observable } from 'rxjs';
import { Router } from '@angular/router';
import { HttpClient } from '@angular/common/http';
import { Item } from 'app/models/item';
import { ItemService } from 'app/services/item.service';

@Component({
  selector: 'app-item-list',
  templateUrl: './item-list.component.html',
  styleUrls: ['./item-list.component.scss']
})
export class ItemListComponent implements OnInit {

  items: Observable<Item[]>;
  constructor(
    private router: Router,
    private http: HttpClient,
    private is: ItemService
  ) { }

  ngOnInit() {
  this.reloadData();
  }
  reloadData(){
    this.items = this.is.getItemList();
  }

  d(id:number){
    this.is.deleteItem(id)
    .subscribe(
      data => {
        console.log(data);
        this.reloadData();
      },
      error => console.log(error));
  }
  detalle(id:number){
    this.router.navigate(['detalle-item', id]);
  }
  editar(id:number){
    this.router.navigate(['editar-item', id]);
  }
}
