import { Component, OnInit } from '@angular/core';
import { ActivatedRoute, Router } from '@angular/router';
import { OrdenService } from 'app/services/orden.service';
import * as jsPDF from 'jspdf';
import { OrdenPdf } from 'app/models/inner/orden-pdf';
@Component({
  selector: 'app-orden-detail',
  templateUrl: './orden-detail.component.html',
  styleUrls: ['./orden-detail.component.scss']
})
export class OrdenDetailComponent implements OnInit {
  DM: string;
  NUM: String;
  y = new Date();
  yy: string;



  id: number;
  orden: OrdenPdf;
  date: Date;
  title = 'PDFs';
  docPdf: jsPDF;
  pdfData: any[]

  constructor(private route: ActivatedRoute,
    private router: Router,
    private ordenService: OrdenService) { }

  ngOnInit() {
    this.orden = new OrdenPdf();
    this.id = this.route.snapshot.params['id'];
    this.DatosPdf();

  }

  list() {
    this.router.navigate(['list-orden']);
  }
  DatosPdf() {
    this.ordenService.getOrdenF(this.id)
      .subscribe(data => {
        this.orden = data;
      }, error => console.log(error));
  }
  //opcion numero certificado
  nc() {
    if (this.orden[0].uzftorden_ID < 10 && this.orden[0].uzftorden_ID > 0) {
      this.NUM = "00" + this.orden[0].uzftorden_ID;
    } else {
      if (this.orden[0].uzftorden_ID < 100 && this.orden[0].uzftorden_ID > 9) {
        this.NUM = "0" + this.orden[0].uzftorden_ID;
      } else {
        if (this.orden[0].uzftorden_ID < 1000 && this.orden[0].uzftorden_ID > 99) {
          this.NUM = this.orden[0].uzftorden_ID;
        } else {

        }
      }
    }
  }
  //saber el año actual
  Actual() {

  }
  diames() {
    if (this.orden[0].uzftorden_DIAS != null && this.orden[0].uzftorden_MES != null) {
      this.DM = this.orden[0].uzftorden_DIAS + " DÍAS MES " + this.orden[0].uzftorden_MES;
      console.log("D + M:    " + this.DM);
    } else {
      if (this.orden[0].uzftorden_DIAS == null && this.orden[0].uzftorden_MES != null) {
        this.DM = "MES " + this.orden[0].uzftorden_MES;
        console.log("M:    " + this.DM);
      } else {
        this.DM = "no tienes mes de pago";
        console.log(this.DM);
      }
    }
  }
  pdf() {
    this.diames();
    this.nc();
    let x = 19;
    let y = 25;
    let size = 14;
    let logo = new Image();
    var fecha = Date();
    logo.src = "../../../assets/img/Espe-Angular-Logo.png";
    let doc = new jsPDF({
      orientation: 'L',
      unit: 'mm',
      format: 'A4',
      compress: true,
    })


    //MODAL IMAGEN-LOGO ESPE
    var width = doc.internal.pageSize.getWidth();
    var height = doc.internal.pageSize.getHeight();
    doc.addImage(logo, x + 84, 15, 75, 14);
    doc.setFontSize(8);
    doc.setFontType('bold');
    doc.text('UNIVERSIDAD DE LAS FUERZAS ARMADAS ESPE', x + 92, y + 7);
    doc.text('ÓRDEN DE GASTOS', x + 112, y + 10);



    // MODAL PREPARADOR POR:
    doc.setFontSize(5.8);
    doc.setTextColor(0, 0, 0);
    doc.setFontStyle('arial');
    doc.text('______________________________________________', x + 23, y + 150, { minWidth: 90 });
    doc.text(`${this.orden[0].elaborado_TITULO}. ${this.orden[0].elaborado_NOMBRES} ${this.orden[0].aprobado_APELLIDOS}`, x + 30, y + 153, { minWidth: 90 });
    doc.text(`${this.orden[0].elaborado_CEDULA}`, x + 39, y + 155, { minWidth: 85 });
    doc.text(`${this.orden[0].elaborado_CARGO}`, x + 28, y + 157, { aling: 'justify', maxWidth: 40 });
    // doc.text('EJECUCIÓN PRESUPUESTARIA DE LA UNIDAD', x + 26, y + 159, { minWidth: 90 });
    // doc.text('DE TECNOLOGÍAS DE LA INFORMACION Y', x + 28, y + 161, { minWidth: 90 });
    // doc.text('COMUNICACIONES', x + 37, y + 163, { minWidth: 90 });
    doc.setFontSize(7.5);
    doc.setTextColor(0, 0, 0);
    doc.setFontStyle('arial');
    doc.setFontType('bold');
    doc.text('PREPARADO POR:', x + 37.5, y + 133, { minWindth: 90 });


    // MODAL AUTORIZADOR POR:
    doc.setFontSize(5.8);
    doc.setTextColor(0, 0, 0);
    doc.setFontStyle('arial');
    doc.text('______________________________________________', x + 172, y + 150, { minWidth: 90 });
    doc.text(`${this.orden[0].aprobado_TITULO}. ${this.orden[0].aprobado_NOMBRES} ${this.orden[0].aprobado_APELLIDOS}`, x + 180, y + 153, { minWidth: 90 });
    doc.text(`${this.orden[0].aprobado_CEDULA}`, x + 190, y + 155, { minWidth: 90 });
    doc.text(`${this.orden[0].aprobado_CARGO}`, x + 173, y + 158, { aling: 'justify', maxWidth: 40 });
    // doc.text('LA INFORMACION Y COMNICACION', x + 179, y + 160, { minWidth: 90 });
    doc.setFontType("bold");
    doc.text('ORDENADOR DE GASTO', x + 186, y + 167, { minWidth: 90 });
    doc.setFontSize(7.5);
    doc.setTextColor(0, 0, 0);
    doc.setFontStyle('arial');
    doc.setFontType('bold');
    doc.text('AUTORIZADO POR:', x + 183, y + 133, { minWidth: 90 });



    //MODAL SECCIÓN-1
    doc.setFontSize(9);
    doc.setFontStyle('arial');
    doc.setTextColor(0, 0, 0);
    doc.text('SECCIÓN l - IDENTICACIÓN DE LA ORDEN DE GASTO', x, y + 23);
    doc.setFontSize(7)
    doc.setFontStyle('arial')
    doc.setTextColor(0, 0, 0);
    //saver el año
    doc.text(`N°:   OG-${this.y.getFullYear()}-${this.NUM}-UTIC`, x, y + 28);
    doc.text(`Fecha: ${this.orden[0].uzftorden_FECHA}`, x, y + 31.5);
    doc.text('_______________________________________________________________________________________________________________________________________________________________________________________________________________', x, y + 33);


    //MODAL SECCIÓN-2
    doc.setFontSize(9);
    doc.setFontStyle('arial');
    doc.setTextColor(0, 0, 0);
    doc.text('SECCIÓN II - INFORMACIÓN DE LA CONTRATACIÓN', x, y + 38);
    doc.setFontSize(7)
    doc.setFontStyle('arial')
    doc.setTextColor(0, 0, 0);
    doc.text(`N° Contrato/Orden de Compra/Contratación:     ${this.orden[0].uzftcontrato_NUMERO}`, x, y + 42);
    doc.text('OBJETO DE LA CONTRATACIÓN:   ', x, y + 46);
    doc.text(`${this.orden[0].uzftcontrato_OBJETO}`, x + 50.9, y + 46);


    //MODAL SECCIÓN-3
    doc.setFontSize(9);
    doc.setFontStyle('arial');
    doc.setTextColor(0, 0, 0);
    doc.text('SECCIÓN III - INFORMACIÓN DEL CONTRATISTA', x, y + 53);
    doc.setFontSize(7)
    doc.setFontStyle('arial')
    doc.setTextColor(0, 0, 0);
    doc.text('NOMBRE: ', x, y + 57);
    doc.text(`${this.orden[0].uzftproveedor_NOMBRE}`, x + 21.9, y + 57)
    doc.text('RUC:', x, y + 61);
    doc.text(`${this.orden[0].uzftproveedor_RUC}`, x + 21.9, y + 61);



    //MODAL SECCIÓN-4 "INFORMACION DE LA FACTURA"

    doc.setFontSize(6.5);
    doc.setFontStyle('arial');
    doc.setTextColor(0, 0, 0);
    doc.setFontType('bold');
    doc.text('SECCIÓN IV - INFORMACIÓN DE LA FACTURA', x + 9, y + 72.5);
    doc.text('ORD', x + 1, y + 77.5);
    doc.setFontStyle('arial');
    doc.text(`${this.orden[0].uzftorden_ID}`, x + 2.5, y + 90.5);
    doc.setFontType('bold');
    doc.text('DESCRIPCIÓN', x + 11, y + 77.5);
    doc.setFontStyle('arial');
    doc.setFontSize(4.6);
    doc.text(`${this.orden[0].uzftcontrato_OBJETO}`, x + 11, y + 84.5, { aling: 'justify', maxWidth: 28 });
    doc.setFontSize(5);
    doc.text(`${this.DM}`, x + 12.5, y + 96.5)
    doc.setFontType('bold');
    doc.text('CANTIDAD', x + 43, y + 77.5);
    doc.setFontStyle('arial');
    doc.text(`${this.orden[0].uzftorden_CANTIDAD}`, x + 46, y + 90.5);
    doc.setFontType('bold');
    doc.text('PRECIO ', x + 59.5, y + 77.5);
    doc.text('UNITARIO', x + 58.3, y + 79.5);
    doc.setFontStyle('arial');
    doc.text(`${this.orden[0].uzftorden_PRECIO_UNITARIO}`, x + 58, y + 90.5);
    doc.setFontType('bold');
    doc.text('SUBTOTAL', x + 74, y + 77.5);
    doc.setFontStyle('arial');
    doc.text(`${this.orden[0].uzftorden_SUB_TOTAL}`, x + 74, y + 90.5);
    doc.setFontType('bold');
    doc.text('IVA ', x + 92, y + 77.5);//1
    doc.text('12%', x + 92, y + 79.5);//1.1
    doc.setFontStyle('arial');
    doc.text(`${this.orden[0].uzftorden_IVA}`, x + 90, y + 90.5);
    doc.setFontType('bold');
    doc.text('OTROS ', x + 107, y + 77.5);
    doc.text('IMPUESTOS', x + 104.7, y + 79.5);
    doc.setFontStyle('arial');
    doc.text(`${this.orden[0].uzftorden_OTROS_IMPUESTOS}`, x + 104.7, y + 90.5);
    doc.setFontType('bold');
    doc.text('TOTAL', x + 125, y + 77.5);
    doc.setFontStyle('arial');
    doc.text(`${this.orden[0].uzftorden_TOTAL}`, x + 124, y + 90.5);
    doc.setFontType('bold');
    doc.text('TOTAL DE LA ORDEN DE GASTO', x + 15, y + 107.5);
    doc.text(`${this.orden[0].uzftorden_SUB_TOTAL}`, x + 75, y + 107.5);
    doc.text(`${this.orden[0].uzftorden_IVA}`, x + 90, y + 107.5);
    doc.text(`${this.orden[0].uzftorden_OTROS_IMPUESTOS}`, x + 105, y + 107.5);
    doc.text(`${this.orden[0].uzftorden_TOTAL}`, x + 125, y + 107.5);
    doc.text(`${this.orden[0].uzftorden_TOTAL}`, x + 225, y + 107.5);



    //MODAL SECCIÓN 5 INFORMACON PRESUPESTARIA PARA EL GASTO 
    doc.text('SECCIÓN V - INFORMACIÓN PRESUPUESTARIA PARA EL GASTO', x + 162, y + 72.5);
    doc.text('CÓDIGO', x + 146, y + 77.5);//2
    doc.text('PRESUPUESTARIO', x + 141, y + 79.5);//2.1
    doc.setFontStyle('arial');
    doc.text(`${this.orden[0].uzftitem_PG} ${this.orden[0].uzftitem_SP} ${this.orden[0].uzftitem_PY} ${this.orden[0].uzftitem_ACT} ${this.orden[0].uzftitem_ITEM} ${this.orden[0].uzftitem_UBG} ${this.orden[0].uzftitem_FTE} ${this.orden[0].uzftitem_ORG} ${this.orden[0].uzftitem_N_PREST} `, x + 142, y + 90.5, { aling: 'justify', maxWidth: 19 });
    doc.setFontType('bold');
    doc.text('DESCRIPCIÓN DEL ITEM', x + 170, y + 77.5);//4
    doc.text('PRESPUESTARIO', x + 175, y + 79.5);//4.1
    doc.setFontStyle('arial');
    doc.text(`${this.orden[0].uzftitem_DESCRIPCION}`, x + 170, y + 90.5, { aling: 'justify', maxWidth: 30 });
    doc.setFontType('bold');
    doc.text('VALOR', x + 205, y + 77.5);//3
    doc.text('CERTIFICACIÓN', x + 201, y + 79.5);//3.1
    doc.setFontStyle('arial');
    doc.text(`${this.orden[0].uzftcertificado_VALOR_SUB_TO}`, x + 205, y + 86.5);
    doc.text(`${this.orden[0].uzftcertificado_VALOR_IVA}`, x + 205, y + 96.5);
    doc.setFontType('bold');
    doc.text('GASTO  A ', x + 224, y + 77.5);//5
    doc.text('EFECTUAR', x + 224, y + 79.5);//5.1
    doc.setFontStyle('arial');
    doc.text(`${this.orden[0].uzftorden_GASTO}`, x + 226, y + 86.5);
    doc.text(`${this.orden[0].uzftorden_IVA}`, x + 226, y + 96.5);
    doc.setFontType('bold');
    doc.text('SALDO', x + 240, y + 77.5);
    doc.setFontStyle('arial');
    doc.text(`${this.orden[0].uzftorden_SALDO_SUB_TO}`, x + 240, y + 86.5);
    doc.text(`${this.orden[0].uzftorden_SALDO_IVA}`, x + 240, y + 96.5);



    //MODAL SECCION 6- FIRMAS DE RESPONSABILIDAD
    doc.text('______________________________________________________________________________________________________________________________________________________________________________________________________________________________  ___', x, y + 114);
    doc.setFontSize(9);
    doc.setFontStyle('arial');
    doc.setTextColor(0, 0, 0);
    doc.text('SECCIÓN VI - FIRMAS DE RESPONSABILIDAD', x, y + 118);
    doc.setFontSize(7)
    doc.setFontStyle('arial')
    doc.setTextColor(0, 0, 0);
    doc.text('ADM.', x, y + 120);
    doc.text(`${this.orden[0].adm_NOMBRES} ${this.orden[0].adm_APELLIDOS}`, x + 10, y + 120);


    //MODAL SECCIÓN DE LINES 
    doc.rect(x, y + 65, 250, 35);//Rectangulo del contenido del informe del gasto

    //MODAL SECCIÓN LINES HORIZONTALES
    doc.line(18.8, 94, 269, 94, null); //Primera  
    doc.line(18.8, 99, 269, 99, null, x + 67, y + 70); //Segunda 
    doc.line(18.8, 106.18, 269, 106.18, null);//Tercera 
    doc.line(215, 115, 269, 115, null);//Cuarta
    doc.line(18.8, 130, 155, 130, null);//Sexta
    doc.line(18.8, 134, 155, 134, null);//Quinta
    doc.line(240, 130, 255, 130, null); // Linear horizontal de la suma del total de gasto Abajo de Gasto a efecturar
    doc.line(240, 134, 255, 134, null);// Linear horizontal de la suma del total de gasto Abajo de Gasto a efecturar


    //MODAL SECCION LINEAS VERTICALES PEQUEÑAS
    doc.line(28.10, 90, 28.10, 94, null);
    doc.line(59, 90, 59, 94, null);
    doc.line(74, 90, 74, 94, null);
    doc.line(89, 90, 89, 94, null);
    doc.line(106, 90, 106, 94, null);
    doc.line(120, 90, 120, 94, null);
    doc.line(139, 90, 139, 94, null);
    doc.line(154, 90, 154, 99, null);
    doc.line(183, 90, 183, 94, null);
    doc.line(215, 90, 215, 94, null);
    doc.line(240, 90, 240, 94, null);
    doc.line(255, 90, 255, 94, null);

    //MODAL SECCIÓN LINEAS VERTICALES
    doc.line(28.10, 99, 28.10, 124.9, null); //linea vertical izquierda cantidad descrpción
    doc.line(59, 99, 59, 124.9, null);//linea vertical izquierda cantidad
    doc.line(74, 99, 74, 124.9, null);//linea vertical izquierda precio unitario
    doc.line(89, 99, 89, 124.9, null);//linea vertical izquierda sub total
    doc.line(106, 99, 106, 124.9, null);//linea vertical izquierda iva
    doc.line(120, 99, 120, 124.9, null);//linea vertical izquierda otros impuestos
    doc.line(139, 99, 139, 124.9, null);//linea vertical izquierda total
    doc.line(154, 99, 154, 124.9, null);//linea vertical izquierda codigo
    doc.line(183, 99, 183, 124.9, null);//linea vertical izquierda item
    doc.line(215, 99, 215, 124.9, null);//linea vertical izquierda VALOR CERTIFICACION
    doc.line(240, 99, 240, 124.9, null);//linea vertical izquierda  GASTO AFECTUAR
    doc.line(255, 99, 255, 124.9, null);//linea vertical derecha  GASTO AFECTUAR


    //MODAL TOTAL DE ORDENES
    doc.line(18.8, 130, 18.8, 134, null);
    doc.line(89, 130, 89, 134, null);//linea verticar izquierda sub total 
    doc.line(106, 130, 106, 134, null); //linea vertical izquierda iva
    doc.line(120, 130, 120, 134, null);//linea vertical izquierda otros impuestos
    doc.line(139, 130, 139, 134, null);//linea vertical izquierda total
    doc.line(155, 130, 155, 134, null);//linea vertical derecha total
    doc.line(240, 130, 240, 134, null);//linea verticar izquierda suma gasto a efectuar
    doc.line(255, 130, 255, 134, null);//linea vertical derecha suma gasto a efectuar


    doc.save('Orden de gasto ' + `${this.orden[0].uzftcontrato_OBJETO}` + ' del ' + `${this.orden[0].uzftorden_MES}` + '.pdf');
  }
}