import { Component, OnInit } from '@angular/core';
import { Empleado } from 'app/models/empleado';
import { Proveedor } from 'app/models/proveedor';
import { Contrato } from 'app/models/contrato';
import { Router } from '@angular/router';
import { FormBuilder } from '@angular/forms';
import { ContratoService } from 'app/services/contrato.service';
import { ProveedorService } from 'app/services/proveedor.service';
import { TipoContrato } from 'app/models/tipo-contrato';
import { TipoContratoService } from 'app/services/tipo-contrato.service';
import { EmpleadoService } from 'app/services/empleado.service';

@Component({
  selector: 'app-test',
  templateUrl: './test.component.html',
  styleUrls: ['./test.component.scss']
})
export class TestComponent implements OnInit {

  fpcontrato: TipoContrato[];
  proveedores: Proveedor[];
  admin: Empleado[];
  contrato: Contrato = new Contrato();
  submitted = false;


VContrato:number;
VDia:number;  

IDia:number;
//dias dinales
Fdia:number;
//Valor de cada mes
IMes:number;
Mes31:number;
Mes30:number;
Mes29:number;
Mes28:number;
FMes:number;
//Total de meses
TMes31:number;
TMes30:number;
TMes29:number;
TMes28:number;
//Valor Total de Meses
VTMes31:number;
VTMes30:number;
VTMes29:number;
VTMes28:number;





  S_BTN: Boolean= true;
  F_ID: Boolean= true;
  F_NUMERO: Boolean = true;
  F_FECHA: Boolean = true;
  F_TOTAL_DIAS: Boolean = true;
  F_MES: Boolean = true;
  F_CANTIDAD: Boolean = true;
  F_PRECIO_UNITARIO: Boolean = true;
  F_SUBTOTAL: Boolean = true;
  F_IVA: Boolean = true;
  F_OTRO_IMPUESTO: Boolean = true;
  F_INSTALACION: Boolean = true;
  F_VLD: Boolean = true;
   

  constructor(
    private router: Router,
    private formBuilder: FormBuilder,
    private contratoService: ContratoService,
    private proveedorService: ProveedorService,
    private fpService: TipoContratoService,
    private emmpleadoService: EmpleadoService
  ) { }

  ngOnInit() {
    this.getProveedores();
    this.getTipoContrato();
    this.getEmpleado();
  }


  getTipoContrato() {
    this.fpService.getTiposList().subscribe((data: TipoContrato[]) => {
      this.fpcontrato = data;
    }, (error) => {
      alert('A ocurrido un error al obtener las formas de pago');
    });
  }

  getEmpleado() {
    this.emmpleadoService.getEmpleadosList().subscribe((data: Empleado[]) => {
      this.admin = data;
    }, (error) => {
      alert('A ocurrido un error al obtener los administradores')
    });
  }

  getProveedores() {
    this.proveedorService.getProveedoresList().subscribe((data: Proveedor[]) => {
      this.proveedores = data;
    }, (error) => {
      alert('A ocurrido un error al obtener proveedores');
    });
  }

  newContrato(): void {
    this.submitted = false;
    this.contrato = new Contrato();
  }

  save() {
    this.contratoService.createContrato(this.contrato)
      .subscribe();
    this.contrato = new Contrato();
   // this.gotoList();
  }

  onSubmit() {
  
    //this.submitted = true;
   // this.save();
  }

  // gotoList() {
  //   this.router.navigate(['list-contrato']);
  // }

//Calcular Contrato Dias
CCD(){
  this.VContrato=this.contrato.con_valor-this.contrato.con_implementacion;
  this.VDia=this.VContrato/this.contrato.con_duracion_dias;
  this.IMes=this.IDia*this.VDia;
  this.Mes31=(31*this.VDia);
  this.Mes30=(30*this.VDia);
  this.Mes29=(29*this.VDia);
  this.Mes28=(28*this.VDia);

}
  
  
}

  

